Debian Bug report logs - #451447
libperldoc-search-perl: FTBFS: Undefined subroutine &Swish::API::Common::VERSION called

version graph

Package: swish-e; Maintainer for swish-e is Ludovic Drolez <ldrolez@debian.org>; Source for swish-e is src:swish-e.

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Fri, 16 Nov 2007 01:21:01 UTC

Severity: important

Merged with 422609

Found in version 1.1-1

Fixed in version swish-e/2.4.7-3

Done: Ludovic Drolez <ldrolez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#451447; Package libperldoc-search-perl. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.unipd.it>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.unipd.it>
To: submit@bugs.debian.org
Subject: libperldoc-search-perl: FTBFS: Undefined subroutine &Swish::API::Common::VERSION called
Date: Thu, 15 Nov 2007 20:07:05 -0500
Package: libperldoc-search-perl
Version: 0.01-1
Severity: serious

From my pbuilder build log:

...
 debian/rules build
test -d debian/patched || install -d debian/patched
dpatch  apply-all
applying patch 20Search.pm to ./ ... ok.
dpatch  cat-all  >>patch-stampT
mv -f patch-stampT patch-stamp
dh_testdir
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Undefined subroutine &SWISH::API::Common::VERSION called at /usr/share/perl/5.8/ExtUtils/MakeMaker.pm line 394.
Checking if your kit is complete...
Looks good
make: *** [build-stamp] Error 9
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debianforum.de>:
Bug#451447; Package libperldoc-search-perl. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debianforum.de>. Full text and rfc822 format available.

Message #10 received at 451447@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: control@bugs.debian.org
Cc: 422609@bugs.debian.org, 451447@bugs.debian.org
Subject: forcibly merging 422609 451447
Date: Tue, 08 Jul 2008 22:47:51 +0200
# Automatically generated email from bts, devscripts version 2.10.33
# same bug
forcemerge 422609 451447





Bug reassigned from package `libperldoc-search-perl' to `swish-e'. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. (Tue, 08 Jul 2008 22:03:11 GMT) Full text and rfc822 format available.

Forcibly Merged 422609 451447. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. (Tue, 08 Jul 2008 22:03:16 GMT) Full text and rfc822 format available.

Tags added: squeeze Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sat, 21 Feb 2009 15:15:23 GMT) Full text and rfc822 format available.

Changed Bug submitter from Daniel Schepler <schepler@math.unipd.it> to Daniel Schepler <dschepler@gmail.com>. Request was from Daniel Schepler <dschepler@gmail.com> to control@bugs.debian.org. (Thu, 09 Apr 2009 23:57:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:10 GMT) Full text and rfc822 format available.

Reply sent to Ludovic Drolez <ldrolez@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 17:12:10 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 17:12:10 GMT) Full text and rfc822 format available.

Message #25 received at 451447-close@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: 451447-close@bugs.debian.org
Subject: Bug#451447: fixed in swish-e 2.4.7-3
Date: Mon, 12 Mar 2012 17:08:38 +0000
Source: swish-e
Source-Version: 2.4.7-3

We believe that the bug you reported is fixed in the latest version of
swish-e, which is due to be installed in the Debian FTP archive:

swish-e-dev_2.4.7-3_i386.deb
  to main/s/swish-e/swish-e-dev_2.4.7-3_i386.deb
swish-e_2.4.7-3.diff.gz
  to main/s/swish-e/swish-e_2.4.7-3.diff.gz
swish-e_2.4.7-3.dsc
  to main/s/swish-e/swish-e_2.4.7-3.dsc
swish-e_2.4.7-3_i386.deb
  to main/s/swish-e/swish-e_2.4.7-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 451447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Drolez <ldrolez@debian.org> (supplier of updated swish-e package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Mar 2012 6:21:11 +0100
Source: swish-e
Binary: swish-e swish-e-dev
Architecture: source i386
Version: 2.4.7-3
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Ludovic Drolez <ldrolez@debian.org>
Description: 
 swish-e    - Simple Web Indexing System for Humans - Enhanced
 swish-e-dev - Simple Web Indexing System for Humans - Enhanced
Closes: 422609 451447 617742
Changes: 
 swish-e (2.4.7-3) unstable; urgency=low
 .
   * Added pt_BR debconf translation. Closes: #617742
   * Try to fix the perl namespace problem. Closes: #422609, #451447
   * Remove dependency_libs in the .la file
Checksums-Sha1: 
 2c6bdbb09d5326b05e9e318e075f15cf1df842ee 1110 swish-e_2.4.7-3.dsc
 5b61194e6f880c6373d98def341295b3a86b821b 24535 swish-e_2.4.7-3.diff.gz
 1258bc0700f89f5fd87fdbdcc46ffefa3b7bdfdd 966278 swish-e_2.4.7-3_i386.deb
 7f9954af5fb26f0e2e8c44e1a37ede3fdf1e186c 156474 swish-e-dev_2.4.7-3_i386.deb
Checksums-Sha256: 
 56b8d2e3fdae12f5f3dffce23a501c81b6f39041babf2c31a2a993bc24f33106 1110 swish-e_2.4.7-3.dsc
 7816ac9d3bb8eeaeeea11f6ac7e30552ba54299f4a2bd7138c124cc026599448 24535 swish-e_2.4.7-3.diff.gz
 a9031771cf45fe21f12ca245bd69a05bbb18ef7dbb2088f8b463faca4b94bc27 966278 swish-e_2.4.7-3_i386.deb
 44dc355e7117d76b148572b5d9dd7b39d3631ffd4a91accb989e9f46089fe1f2 156474 swish-e-dev_2.4.7-3_i386.deb
Files: 
 26ba4c850c77296c1e7d2346da367e1b 1110 web optional swish-e_2.4.7-3.dsc
 d4e06247be43aa3d0083addd6485e8af 24535 web optional swish-e_2.4.7-3.diff.gz
 f494f12f2b671a83e8d504c48bea6855 966278 web optional swish-e_2.4.7-3_i386.deb
 66cc5401703034b295a71c333011ab0a 156474 web optional swish-e-dev_2.4.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9eKogACgkQsRlQAP1GppjRiwCfceC1pYTdsIgIHyZ6H08/giiE
bBEAmwVqG4BP/FIqByJ5d82V6//ihSxm
=IWE9
-----END PGP SIGNATURE-----





Reply sent to Ludovic Drolez <ldrolez@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 17:12:10 GMT) Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 17:12:10 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:02 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, jessie, and lenny. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:27 GMT) Full text and rfc822 format available.

Marked as found in versions 1.1-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:39 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:07:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.